#!/bin/bash

if [ "$(id -u)" != "0" ]; then
    echo "Broker detection requires root privileges to scan system"
    exit 1
fi

INSTDIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pwd )"
source $INSTDIR/settings.sh

if [ ! -d "$JAVA_HOME" ]; then
  echo "ERROR no JRE found"
  exit 2
else
  if [ ! -x "$JAVA_HOME/bin/java" ]; then
    echo "ERROR no JRE found"
    exit 3
  else
    if [ ! -d "$INSTDIR" ]; then
      echo "ERROR Broker directory not found"
      exit 4
    fi
    cd $INSTDIR
    nohup "$JAVA_HOME/bin/java" -cp "$INSTDIR/OpenLMBroker.jar" project.cli.DetectPorts $1 $2 >> $INSTDIR/logs/broker_detection_nohup.log 2>&1 &
  fi
fi
