#!/bin/bash

INSTDIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pwd )"
source $INSTDIR/settings.sh

if [ ! -d "$JAVA_HOME" ]; then
  echo "ERROR no JRE found"
  exit 2
else
  if [ ! -x "$JAVA_HOME/bin/java" ]; then
    echo "ERROR no JRE found"
    exit 3
  else
    if [ ! -d "$INSTDIR" ]; then
      echo "ERROR Broker directory not found"
      exit 4
    fi
    cd $INSTDIR
    nohup "$JAVA_HOME/bin/java" -Djava.net.preferIPv4Stack=true -jar "$INSTDIR/BrokerConfigurator.jar" "$INSTDIR/broker.xml" >> $INSTDIR/logs/broker_config_nohup.log 2>&1 &
  fi
fi
